Bug 1459235 - SSA Fails in Windows workloads but not in Linux ones on OSP9
SSA Fails in Windows workloads but not in Linux ones on OSP9
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: SmartState Analysis (Show other bugs)
5.6.0
Unspecified Windows
high Severity high
: GA
: 5.8.1
Assigned To: Hui Song
Oleksandr Kolisnyk
openstack:smartstate
: ZStream
Depends On: 1372672
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-06 11:07 EDT by Satoe Imaishi
Modified: 2017-08-02 13:26 EDT (History)
9 users (show)

See Also:
Fixed In Version: 5.8.1.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1372672
Environment:
Last Closed: 2017-08-02 13:26:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: Openstack


Attachments (Terms of Use)

  None (edit)
Comment 2 CFME Bot 2017-06-06 11:38:08 EDT
New commit detected on ManageIQ/manageiq-gems-pending/fine:
https://github.com/ManageIQ/manageiq-gems-pending/commit/b3de5fa9f11e209b89409755e08ff9ede6a32c22

commit b3de5fa9f11e209b89409755e08ff9ede6a32c22
Author:     Richard Oliveri <oliveri.richard.github@gmail.com>
AuthorDate: Mon May 1 11:27:41 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Jun 6 11:35:50 2017 -0400

    Merge pull request #143 from hsong-rh/openstack_support_methods
    
    Add vmConfig & volumeManager into SUPPORT_METHODS
    (cherry picked from commit 0609f723386a4c2464ea6e5203a62425a75e284b)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1459235

 lib/gems/pending/OpenStackExtract/MiqOpenStackVm/MiqOpenStackImage.rb   | 2 +-
 .../pending/OpenStackExtract/MiqOpenStackVm/MiqOpenStackInstance.rb     | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)
Comment 3 CFME Bot 2017-06-06 11:38:15 EDT
New commit detected on ManageIQ/manageiq-gems-pending/fine:
https://github.com/ManageIQ/manageiq-gems-pending/commit/2e6b60fcfecea90fb3889f55dca135fc4903b6fe

commit 2e6b60fcfecea90fb3889f55dca135fc4903b6fe
Author:     Richard Oliveri <oliveri.richard.github@gmail.com>
AuthorDate: Mon May 1 11:24:58 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Jun 6 11:33:37 2017 -0400

    Merge pull request #144 from hsong-rh/short_os_device_name
    
    Fix to handle shorter OS device name in SSA
    (cherry picked from commit e33e37c029d1ea4473370c33e1d4967641f2a6aa)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1459235

 lib/gems/pending/metadata/util/win32/system_path_win.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 4 Oleksandr Kolisnyk 2017-07-07 07:55:43 EDT
Verified! SSA ran successfully on Windows instance and image itself.
5.8.1.0 and RHOS 9
Comment 6 errata-xmlrpc 2017-08-02 13:26:33 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1758

Note You need to log in before you can comment on or make changes to this bug.